Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRPrintImage

All Superinterfaces:
  JRAlignment, JRBox, JRBoxContainer, JRCommonElement, JRCommonGraphicElement, JRCommonImage, JRPenContainer, JRPrintAnchor, JRPrintElement, JRPrintGraphicElement, JRPrintHyperlink, JRPropertiesHolder, JRStyleContainer

All Known Implementing Classes:
  JRBasePrintImage, JRRecordedValuesPrintImage, JRTemplatePrintImage

    public interface JRPrintImage

extends JRPrintGraphicElement, JRPrintAnchor, JRPrintHyperlink, JRAlignment, JRBox, JRCommonImage

Version:
  $Id: JRPrintImage.java 3583 2010-03-12 11:35:40Z shertage $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary

Fields inherited from interface net.sf.jasperreports.engine.JRAlignment
`HORIZONTAL_ALIGN_CENTER, HORIZONTAL_ALIGN_JUSTIFIED, HORIZONTAL_ALIGN_LEFT, HORIZONTAL_ALIGN_RIGHT, VERTICAL_ALIGN_BOTTOM, VERTICAL_ALIGN_JUSTIFIED, VERTICAL_ALIGN_MIDDLE, VERTICAL_ALIGN_TOP`

Method Summary
`JRBox` | `getBox()` Deprecated. Replaced by `JRBoxContainer.getLineBox()`
`byte` | `getOnErrorType()` Deprecated. Replaced by `getOnErrorTypeValue()`
`OnErrorTypeEnum` | `getOnErrorTypeValue()`
`JRRenderable` | `getRenderer()`
`boolean` | `isLazy()`
`boolean` | `isUsingCache()`
`void` | `setBox(JRBox box)` Deprecated. Replaced by `JRBoxContainer.getLineBox()`
`void` | `setLazy(boolean isLazy)`
`void` | `setOnErrorType(byte onErrorType)` Deprecated. Replaced by `setOnErrorType(OnErrorTypeEnum)`
`void` | `setOnErrorType(OnErrorTypeEnum onErrorType)`
`void` | `setRenderer(JRRenderable renderer)`
`void` | `setScaleImage(byte scaleImage)` Deprecated. Replaced by `setScaleImage(ScaleImageEnum)`.
`void` | `setScaleImage(java.lang.Byte scaleImage)` Deprecated. Replaced by `setScaleImage(ScaleImageEnum)`.
`void` | `setScaleImage(ScaleImageEnum scaleImage)` Sets the image scale type.
`void` | `setUsingCache(boolean isUsingCache)`

Methods inherited from interface net.sf.jasperreports.engine.JRPrintGraphicElement
`getOwnPen, getPen, setFill, setFill, setFill, setPen, setPen`

Methods inherited from interface net.sf.jasperreports.engine.JRPrintElement
`accept, getHeight, getKey, getOrigin, getWidth, getX, getY, setHeight, setStyle, setWidth, setX, setY`

Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder
`getParentProperties, getPropertiesMap, hasProperties`

Methods inherited from interface net.sf.jasperreports.engine.JRPrintAnchor
`getAnchorName, getBookmarkLevel, setAnchorName, setBookmarkLevel`

Methods inherited from interface net.sf.jasperreports.engine.JRPrintHyperlink
`getHyperlinkAnchor, getHyperlinkPage, getHyperlinkParameters, getHyperlinkReference, getHyperlinkTarget, getHyperlinkTargetValue, getHyperlinkTooltip, getHyperlinkType, getHyperlinkTypeValue, getLinkTarget, getLinkType, setHyperlinkAnchor, setHyperlinkPage, setHyperlinkParameters, setHyperlinkReference, setHyperlinkTarget, setHyperlinkTarget, setHyperlinkTooltip, setHyperlinkType, setHyperlinkType, setLinkTarget, setLinkType`

Methods inherited from interface net.sf.jasperreports.engine.JRAlignment
`getHorizontalAlignment, getHorizontalAlignmentValue, getOwnHorizontalAlignment, getOwnHorizontalAlignmentValue, getOwnVerticalAlignment, getOwnVerticalAlignmentValue, getVerticalAlignment, getVerticalAlignmentValue, setHorizontalAlignment, setHorizontalAlignment, setHorizontalAlignment, setVerticalAlignment, setVerticalAlignment, setVerticalAlignment`

Methods inherited from interface net.sf.jasperreports.engine.JRBox
`getBorder, getBorderColor, getBottomBorder, getBottomBorderColor, getBottomPadding, getLeftBorder, getLeftBorderColor, getLeftPadding, getOwnBorder, getOwnBorderColor, getOwnBottomBorder, getOwnBottomBorderColor, getOwnBottomPadding, getOwnLeftBorder, getOwnLeftBorderColor, getOwnLeftPadding, getOwnPadding, getOwnRightBorder, getOwnRightBorderColor, getOwnRightPadding, getOwnTopBorder, getOwnTopBorderColor, getOwnTopPadding, getPadding, getRightBorder, getRightBorderColor, getRightPadding, getTopBorder, getTopBorderColor, getTopPadding, setBorder, setBorder, setBorderColor, setBottomBorder, setBottomBorder, setBottomBorderColor, setBottomPadding, setBottomPadding, setLeftBorder, setLeftBorder, setLeftBorderColor, setLeftPadding, setLeftPadding, setPadding, setPadding, setRightBorder, setRightBorder, setRightBorderColor, setRightPadding, setRightPadding, setTopBorder, setTopBorder, setTopBorderColor, setTopPadding, setTopPadding`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonImage
`getOwnScaleImage, getOwnScaleImageValue, getScaleImage, getScaleImageValue`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonGraphicElement
`getFill, getFillValue, getLinePen, getOwnFill, getOwnFillValue`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement
`getBackcolor, getForecolor, getMode, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, setBackcolor, setForecolor, setMode, setMode, setMode`

Methods inherited from interface net.sf.jasperreports.engine.JRPenContainer
`getDefaultLineColor, getDefaultLineWidth`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Methods inherited from interface net.sf.jasperreports.engine.JRBoxContainer
`getDefaultLineColor, getLineBox`

Method Detail

### getRenderer

    JRRenderable getRenderer()

### setRenderer

    void setRenderer(JRRenderable renderer)

### setScaleImage

    void setScaleImage(byte scaleImage)

  Deprecated. Replaced by `setScaleImage(ScaleImageEnum)`.

  Specified by:
    `setScaleImage` in interface `JRCommonImage`

### setScaleImage

    void setScaleImage(java.lang.Byte scaleImage)

  Deprecated. Replaced by `setScaleImage(ScaleImageEnum)`.

  Specified by:
    `setScaleImage` in interface `JRCommonImage`

### setScaleImage

    void setScaleImage(ScaleImageEnum scaleImage)

  Description copied from interface: `JRCommonImage`
  Sets the image scale type.

  Specified by:
    `setScaleImage` in interface `JRCommonImage`
  Parameters:
    `scaleImage` - a value representing one of the scale type constants in `ScaleImageEnum`

### isUsingCache

    boolean isUsingCache()

### setUsingCache

    void setUsingCache(boolean isUsingCache)

### isLazy

    boolean isLazy()

### setLazy

    void setLazy(boolean isLazy)

### getOnErrorType

    byte getOnErrorType()

  Deprecated. Replaced by `getOnErrorTypeValue()`

### setOnErrorType

    void setOnErrorType(byte onErrorType)

  Deprecated. Replaced by `setOnErrorType(OnErrorTypeEnum)`

### getOnErrorTypeValue

    OnErrorTypeEnum getOnErrorTypeValue()

### setOnErrorType

    void setOnErrorType(OnErrorTypeEnum onErrorType)

### getBox

    JRBox getBox()

  Deprecated. Replaced by `JRBoxContainer.getLineBox()`

### setBox

    void setBox(JRBox box)

  Deprecated. Replaced by `JRBoxContainer.getLineBox()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com